;;; init-linter.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
;;---------------------------
;; Lsp Mode
;;---------------------------
(use-package lsp-treemacs
  :config
  (lsp-treemacs-sync-mode 1))
(use-package lsp-ui)
(use-package lsp-mode
  :pin "MELPA"
  :hook ((js2-mode . lsp)
         (typescript-mode . lsp)
         (lsp-mode . lsp-enable-which-key-integration))
  :custom
  (lsp-clients-angular-language-server-command
   '("node"
     (concat "~" "/virtualenvs/ndjs/lib/node_modules/@angular/language-server")
     "--ngProbeLocations"
     (concat "~" "virtualenvs/ndjs/lib/node_modules")
     "--tsProbeLocations"
     (concat "~" "virtualenvs/ndjs/lib/node_modules")
     "--stdio"))
  )

;; require install language server for Angular
;; npm install -g @angular/language-service@next typescript @angular/language-server

;; require install eslint for ReactJS
;; npm install -g eslint

(use-package dap-mode)

(provide 'init-linter)

;; End:
;;; init-linter.el ends here
